FROM golang:1.15.6-buster as builder

ARG VERSION

ENV CGO_ENABLED=0 GOOS=linux GOARCH=amd64
WORKDIR /tmp/alps

RUN git init && \
    git remote add origin https://git.sr.ht/~migadu/alps && \
    git fetch --depth 1 origin ${VERSION} && \
    git checkout FETCH_HEAD

COPY skipverify.patch skipverify.patch

RUN git apply skipverify.patch && \
    go build -a -o /usr/local/bin/alps ./cmd/alps

FROM scratch
COPY --from=builder /usr/local/bin/alps /alps
COPY --from=builder /tmp/alps/themes /themes
ENTRYPOINT ["/alps"]
